## python-distro 1.5.0

=== Makefile ===
# Copyright 2015,2016 Nir Cohen
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Name of this package
PACKAGENAME = distro

# Additional options for Sphinx
SPHINXOPTS = -v

# Paper format for the Sphinx LaTex/PDF builder.
# Valid values: a4, letter
SPHINXPAPER = a4

# Sphinx build subtree.
SPHINXBUILDDIR = build_docs

# Directory where conf.py is located
SPHINXCONFDIR = docs

# Directory where input files for Sphinx are located
SPHINXSOURCEDIR = .

# Sphinx build command (Use 'pip install sphinx' to get it)
SPHINXBUILD = sphinx-build

# Internal variables for Sphinx
SPHINXPAPEROPT_a4     = -D latex_paper_size=a4
SPHINXPAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS = -d $(SPHINXBUILDDIR)/doctrees -c $(SPHINXCONFDIR) \
                $(SPHINXPAPEROPT_$(SPHINXPAPER)) $(SPHINXOPTS) \
                $(SPHINXSOURCEDIR)

.PHONY: help
help:
	@echo 'Please use "make <target>" where <target> is one of'
	@echo "  release   - build a release and publish it"
	@echo "  dev       - prepare a development environment (includes tests)"
	@echo "  instdev   - prepare a development environment (no tests)"
	@echo "  install   - install into current Python environment"
	@echo "  html      - generate docs as standalone HTML files in: $(SPHINXBUILDDIR)/html"
	@echo "  pdf       - generate docs as PDF (via LaTeX) for paper format: $(SPHINXPAPER) in: $(SPHINXBUILDDIR)/pdf"
	@echo "  man       - generate docs as manual pages in: $(SPHINXBUILDDIR)/man"
	@echo "  docchanges   - generate an overview of all changed/added/deprecated items in docs"
	@echo "  doclinkcheck - check all external links in docs for integrity"
	@echo "  doccoverage  - run coverage check of the documentation"
	@echo "  clobber   - remove any build products"
	@echo "  build     - build the package"
	@echo "  test      - test from this directory using tox, including test coverage"
	@echo "  publish   - upload to PyPI"
	@echo "  clean     - remove any temporary build products"
	@echo "  dry-run   - perform all action required for a release without actually releasing"

.PHONY: release
release: test clean build publish
	@echo "$@ done."

.PHONY: test
test:
	pip install 'tox>=1.7.2'
	tox
	@echo "$@ done."

.PHONY: clean
clean:
	rm -rf dist build $(PACKAGENAME).egg-info
	@echo "$@ done."

.PHONY: build
build:
	python setup.py sdist bdist_wheel

.PHONY: publish
publish:
	twine upload -r pypi dist/$(PACKAGENAME)-*
	@echo "$@ done."

.PHONY: dry-run
dry-run: test clean build
	@echo "$@ done."

.PHONY: dev
dev: instdev test
	@echo "$@ done."

.PHONY: instdev
instdev:
	pip install -r dev-requirements.txt
	python setup.py develop
	@echo "$@ done."

.PHONY: install
install:
	python setup.py install
	@echo "$@ done."

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/html
	@echo "$@ done; the HTML pages are in $(SPHINXBUILDDIR)/html."

.PHONY: pdf
pdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/pdf
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(SPHINXBUILDDIR)/pdf all-pdf
	@echo "$@ done; the PDF files are in $(SPHINXBUILDDIR)/pdf."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/man
	@echo "$@ done; the manual pages are in $(SPHINXBUILDDIR)/man."

.PHONY: docchanges
docchanges:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/changes
	@echo
	@echo "$@ done; the doc changes overview file is in $(SPHINXBUILDDIR)/changes."

.PHONY: doclinkcheck
doclinkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/linkcheck
	@echo
	@echo "$@ done; look for any errors in the above output " \
	      "or in $(SPHINXBUILDDIR)/linkcheck/output.txt."

.PHONY: doccoverage
doccoverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/coverage
	@echo "$@ done; the doc coverage results are in $(SPHINXBUILDDIR)/coverage/python.txt."

.PHONY: clobber
clobber: clean
	rm -rf $(SPHINXBUILDDIR)
	@echo "$@ done."

## python-distro 1.0.1

=== debian/changelog ===
python-distro (1.0.1-2) unstable; urgency=medium

  * d/control: Depend on lsb-release for better information gathering.
  * d/tests: Added.

 -- Barry Warsaw <barry@debian.org>  Tue, 29 Nov 2016 12:13:06 -0500

python-distro (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #846155)

 -- Barry Warsaw <barry@debian.org>  Mon, 28 Nov 2016 15:42:36 -0500

=== debian/control ===
Source: python-distro
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Barry Warsaw <barry@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/nir0s/distro
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-distro.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-distro.git

Package: python-distro
Architecture: all
Depends: lsb-release,
         ${misc:Depends},
         ${python:Depends},
Description: Linux OS platform information API
 distro (for: Linux Distribution) provides information about the Linux
 distribution it runs on, such as a reliable machine-readable ID, or version
 information.
 .
 It is a renewed alternative implementation for Python's original
 platform.linux_distribution function, but it also provides much more
 functionality which isn't necessarily Python bound like a command-line
 interface.
 .
 This is the Python 2 version of the library.

Package: python3-distro
Architecture: all
Depends: lsb-release,
         ${misc:Depends},
         ${python3:Depends},
Description: Linux OS platform information API
 distro (for: Linux Distribution) provides information about the Linux
 distribution it runs on, such as a reliable machine-readable ID, or version
 information.
 .
 It is a renewed alternative implementation for Python's original
 platform.linux_distribution function, but it also provides much more
 functionality which isn't necessarily Python bound like a command-line
 interface.
 .
 This is the Python 2 version of the library.

=== debian/tests/control ===
Test-Command: cd "$ADTTMP" ; python -c "import distro; print distro"
Depends: python-distro

Test-Command: cd "$ADTTMP" ; python3 -c "import distro; print(distro)"
Depends: python3-distro

Tests: api-2.py
Depends: python-distro

Tests: api-3.py
Depends: python3-distro

## python-distro 1.3.0

=== debian/changelog ===
python-distro (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout

  [ Colin Watson ]
  * Fix python3-distro description to say that it's for Python 3, not Python
    2 (closes: #892876).

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Removed version of python-all build-depends.
  * Switched to debhelper 10.
  * Point VCS URLs to Salsa.
  * Standards-Version is now 4.2.0 (no change).
  * Add python{3,}-pybuild as build-depends.
  * Add remove-non-ascii-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 14:18:05 +0200

=== debian/control ===
Source: python-distro
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Barry Warsaw <barry@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-pytest,
 python3-pytest,
Standards-Version: 4.2.0
Homepage: https://github.com/nir0s/distro
Vcs-Git: https://salsa.debian.org/python-team/modules/python-distro.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-distro

Package: python-distro
Architecture: all
Depends:
 lsb-release,
 ${misc:Depends},
 ${python:Depends},
Description: Linux OS platform information API
 distro (for: Linux Distribution) provides information about the Linux
 distribution it runs on, such as a reliable machine-readable ID, or version
 information.
 .
 It is a renewed alternative implementation for Python's original
 platform.linux_distribution function, but it also provides much more
 functionality which isn't necessarily Python bound like a command-line
 interface.
 .
 This is the Python 2 version of the library.

Package: python3-distro
Architecture: all
Depends:
 lsb-release,
 ${misc:Depends},
 ${python3:Depends},
Description: Linux OS platform information API
 distro (for: Linux Distribution) provides information about the Linux
 distribution it runs on, such as a reliable machine-readable ID, or version
 information.
 .
 It is a renewed alternative implementation for Python's original
 platform.linux_distribution function, but it also provides much more
 functionality which isn't necessarily Python bound like a command-line
 interface.
 .
 This is the Python 3 version of the library.

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP" ; python -c "import distro; print distro"
Depends: python-distro

Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import distro; print(distro)"
Depends: python3-distro

Tests: api-2.py
Depends: python-distro

Tests: api-3.py
Depends: python3-distro

## python-distro 1.4.0

=== debian/changelog ===
python-distro (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.0
  * Bump debhelper to 12
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Add Rules-Requires-Root: no
  * Remove override_dh_python2 in d/rules
  * Remove remove-non-ascii-tests.patch, tests now succeeds
  * Add Upstream-Contact to d/copyright

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 24 Jan 2020 21:44:05 +0100

python-distro (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #937702).

 -- Ondřej Nový <onovy@debian.org>  Mon, 14 Oct 2019 10:35:20 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=distro
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

# For now, I do not want to distribute /usr/bin/distro

override_dh_python3:
	dh_python3
	rm -rf debian/python3-distro/usr/bin

## python-distro 1.5.0

=== debian/changelog ===
python-distro (1.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 May 2020 12:49:35 -0400

=== debian/control ===
Source: python-distro
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Barry Warsaw <barry@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/nir0s/distro
Vcs-Git: https://salsa.debian.org/python-team/modules/python-distro.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-distro

Package: python3-distro
Architecture: all
Depends:
 lsb-release,
 ${misc:Depends},
 ${python3:Depends},
Description: Linux OS platform information API
 distro (for: Linux Distribution) provides information about the Linux
 distribution it runs on, such as a reliable machine-readable ID, or version
 information.
 .
 It is a renewed alternative implementation for Python's original
 platform.linux_distribution function, but it also provides much more
 functionality which isn't necessarily Python bound like a command-line
 interface.
 .
 This is the Python 3 version of the library.

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import distro; print(distro)"
Depends: python3-distro

Tests: api-3.py
Depends: python3-distro

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/distro/distro-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-distro 1.6.0

=== debian/control ===
Source: python-distro
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools
Build-Depends-Indep: python3-pytest
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/python-distro/distro
Vcs-Git: https://salsa.debian.org/python-team/packages/python-distro.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-distro

Package: python3-distro
Architecture: all
Depends: lsb-release, ${misc:Depends}, ${python3:Depends}
Multi-Arch: foreign
Description: Linux OS platform information API
 distro (for: Linux Distribution) provides information about the Linux
 distribution it runs on, such as a reliable machine-readable ID, or version
 information.
 .
 It is a renewed alternative implementation for Python's original
 platform.linux_distribution function, but it also provides much more
 functionality which isn't necessarily Python bound like a command-line
 interface.
 .
 This is the Python 3 version of the library.

## python-distro 1.7.0

=== Makefile ===
# Copyright 2015,2016 Nir Cohen
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Name of this package
PACKAGENAME = distro

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS ?= -n -v
SPHINXBUILD ?= sphinx-build
SPHINXSOURCEDIR = docs
SPHINXBUILDDIR = docs/_build

.PHONY: help
help:
	@echo 'Please use "make <target>" where <target> is one of'
	@echo "  release   - build a release and publish it"
	@echo "  dev       - prepare a development environment (includes tests)"
	@echo "  instdev   - prepare a development environment (no tests)"
	@echo "  install   - install into current Python environment"
	@echo "  clobber   - remove any build products"
	@echo "  build     - build the package"
	@echo "  test      - test from this directory using tox, including test coverage"
	@echo "  publish   - upload to PyPI"
	@echo "  clean     - remove any temporary build products"
	@echo "  dry-run   - perform all action required for a release without actually releasing"
	@$(SPHINXBUILD) -M help "$(SPHINXSOURCEDIR)" "$(SPHINXBUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: release
release: test clean build publish
	@echo "$@ done."

.PHONY: test
test:
	pip install 'tox>=1.7.2'
	tox
	@echo "$@ done."

.PHONY: clean
clean:
	rm -rf dist build $(PACKAGENAME).egg-info
	@echo "$@ done."

.PHONY: build
build:
	python setup.py sdist bdist_wheel

.PHONY: publish
publish:
	twine upload -r pypi dist/$(PACKAGENAME)-*
	@echo "$@ done."

.PHONY: dry-run
dry-run: test clean build
	@echo "$@ done."

.PHONY: dev
dev: instdev test
	@echo "$@ done."

.PHONY: instdev
instdev:
	pip install -r dev-requirements.txt
	python setup.py develop
	@echo "$@ done."

.PHONY: install
install:
	python setup.py install
	@echo "$@ done."

.PHONY: clobber
clobber: clean
	rm -rf $(SPHINXBUILDDIR)
	@echo "$@ done."

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
.PHONY: Makefile
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SPHINXSOURCEDIR)" "$(SPHINXBUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-distro (1.7.0-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 19 Feb 2022 10:54:14 -0400

python-distro (1.6.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Adopt package, it needs a human maintainer.
  * Extend UMEGAYA.
  * Add autopkgtest that runs upstream test suite.
  * Drop trivial import autopkgtest.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 15 Sep 2021 14:43:00 -0700

python-distro (1.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * d/control: drop Barry Warsaw from uploaders upon retirement - thanks for
    your contributions! (Closes: #970166)
  * d/watch: use github as upstream
  * d/control, copyright: update homepage URL
  * New upstream version 1.6.0
  * d/control: debhelper compat 13
  * d/tests/api-3.py: drop deprecated API calls
  * d/control: mark python3-distro as multi-arch: foreign (Closes: #962664)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 17 Aug 2021 17:55:53 +0000

=== debian/watch ===
version=4
https://github.com/python-distro/distro/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-distro 1.8.0

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 .PHONY: build
 build:
-	python setup.py sdist bdist_wheel
+	python -m build
 
 .PHONY: publish
 publish:
@@ -72,12 +72,12 @@
 .PHONY: instdev
 instdev:
 	pip install -r dev-requirements.txt
-	python setup.py develop
+	pip install -e .
 	@echo "$@ done."
 
 .PHONY: install
 install:
-	python setup.py install
+	pip install .
 	@echo "$@ done."
 
 .PHONY: clobber

=== debian/changelog ===
python-distro (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with pybuild.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 14 Oct 2022 17:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools
 Build-Depends-Indep: python3-pytest

## python-distro 1.9.0

=== debian/changelog ===
python-distro (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Dec 2023 10:47:00 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools
 Build-Depends-Indep: python3-pytest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/python-distro/distro
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-distro.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem pybuild
 
 # For now, I do not want to distribute /usr/bin/distro

=== debian/tests/control ===
Tests: api-3.py
Depends: python3-distro

Tests: unittests3
Depends: python3-all, python3-distro, python3-pytest
